<?
require'../config.php';
$align='left';
$title='Опросы';
aut();
head();
who_add(0,'enter');

switch($mod){
default:
//Удаляем опрос
if (isset($_GET['dell'])){
$db->sql_query("DELETE FROM `voice` WHERE `id` = '".check(intval($_GET['dell']))."'");
echo '<b>Опрос успешно удален!</b><br/>';
echo gb.'<a href="index">Опросы</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек'.div;
foot();
exit;
}
if ($user['level']>=9)
{
echo '<a href="?mod=voice_add">Добавить опрос</a><br/>';
}
echo '<b>Активные опросы</b><br/>- - -<br/>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("SELECT COUNT(*) FROM `voice`"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
$r = $db->sql_query("SELECT * FROM `voice` ORDER BY `id` DESC LIMIT $start,$max");
$voice_k=$start+1;
if ($k_post == 0)echo 'Опросов нет<br/>';
while($a = @$db->sql_fetchrow($r)){
if ($user['level']>=9){
echo '<a href="?mod=voice_dell&amp;dell='.$a['id'].'">[X]</a>';
}
echo $voice_k++.') <a href="?mod=voice_read&amp;id_v='.$a['id'].'">'.base64_decode($a['name']).'</a><br/><hr/>';
}
if ($k_page>1){
str('?&amp;',$k_page,$page);
}
break;

//Смотрим опрос
case voice_read:
if (isset($_GET['msg']) && $_GET['msg']=='addv')
echo '<b style="color:$color[msg]">Голос успешно принят</b><br/>';

$q56 = mysql_query("SELECT * FROM `$mysql[pref]voice` ORDER BY id DESC LIMIT $i, 10;");
$voice56 = mysql_fetch_array($q56);

$q_v3 = mysql_query("SELECT COUNT(*) FROM `voices` WHERE `id_v` = '$voice56[id]' AND `id_user` = '$user[id]';");
if (mysql_result($q_v3, 0)==0)
{
$voice_ok=0;
}
else
{
$voice_ok=1;
}

if ($voice_ok==0)
echo'<form method="post" action="index?act=voice">';

$q = mysql_query("SELECT * FROM `voice` ORDER BY id DESC LIMIT $i, 10;");
while ($voice = mysql_fetch_array($q))
{

echo '<b>'.base64_decode($voice['name']).'</b><br/>';
for ($i_v=1;$i_v<=8;$i_v++)
{
if ($voice[$i_v]!='')
{
if ($voice_ok==0 && isset($_GET['act']) && $_GET['act']=='voice' && isset($_POST['voice_'.$voice['id']]) && $_POST['voice_'.$voice['id']]==$i_v)
{
mysql_query("INSERT INTO `$mysql[pref]voices` (`id_v`, `voice`, `id_user`, `time`)
values('$voice[id]', '$i_v', '$user[id]', '$time');");
header("Location: index?".SID."&msg=addv");
exit;
}
###########################################################
$q_v1 = mysql_query("SELECT COUNT(*) FROM `voices` WHERE `id_v` = '$voice[id]';");
$q_v2 = mysql_query("SELECT COUNT(*) FROM `voices` WHERE `id_v` = '$voice[id]' AND `voice` = '$i_v';");
$k_p_voice1=mysql_result($q_v1, 0);
if ($k_p_voice1==0){$k_p_voice1=1;}
$k_p_voice2=mysql_result($q_v2, 0);
if ($voice_ok==0)
echo '<input name="voice_$voice[id]" type="radio" value="$i_v" /> ';
echo ''.base64_decode($voice[$i_v]).'.... ['.$k_p_voice2.']<br/>';
$proc=round($k_p_voice2/$k_p_voice1*100, 0);
echo '<img src="rat.php?r=$proc" act="" /><br/>';
}
}
}
echo '<br/>';
if ($voice_ok==0)
{
echo '<input value="Проголосовать" class="form" type="submit" /></form>';
}
break;

//Создаем опрос
case voice_add:
if (!isset($user) || $user['level']<9)
{
header("Location: index.php?".SID."");
exit;
}
if (isset($_GET['act']) && $_GET['act']=='add' && isset($_POST['name']) && isset($_POST['1']) && isset($_POST['2']) && $_POST['1']!='' && $_POST['2']!='')
{
$name=$_POST['name'];
if (isset($_POST['tr']))
{
$name=translit($name);
}
for ($i=1;$i<=8;$i++)
{
if (isset($_POST[$i]))
{
$v[$i]=stripslashes(htmlspecialchars($_POST[$i]));
$v[$i]=base64_encode($v[$i]);
}
else
{
$v[$i]='';
}
}
$name=stripslashes(htmlspecialchars($name));
$name=base64_encode($name);
mysql_query("INSERT INTO `$mysql[pref]voice` (`time`, `name`, `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`)
values('$time', '$name', '$v[1]', '$v[2]', '$v[3]', '$v[4]', '$v[5]', '$v[6]', '$v[7]', '$v[8]');");
echo gb.'<a href="index">Опросы</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br/>'.div;
foot();
exit;
}
echo '<b>Добавить опрос</b><hr/>';
echo '<form method="post" action="?mod='.$mod.'&amp;act=add">';
echo '* - обязательны к заполнению<br/>';
echo 'Название: *<br/><input name="name" class="form" type="text" /><br/>';
echo '1) Ответ: *<br/><input name="1" class="form" type="text" value="" /><br/>';
echo '2) Ответ: *<br/><input name="2" class="form" type="text" value="" /><br/>';
echo '3) Ответ:<br/><input name="3" class="form" type="text" value="" /><br/>';
echo '4) Ответ:<br/><input name="4" class="form" type="text" value="" /><br/>';
echo '5) Ответ:<br/><input name="5" class="form" type="text" value="" /><br/>';
echo '6) Ответ:<br/><input name="6" class="form" type="text" value="" /><br/>';
echo '7) Ответ:<br/><input name="7" class="form" type="text" value="" /><br/>';
echo '8) Ответ:<br/><input name="8" class="form" type="text" value="" /><br/>';
echo '<input value="Добавить" class="form" type="submit" /></form><br/>';
break;
}
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br/>'.div;
foot();
?>